Update an SSH Key

View as Markdown

Update an SSH Key for the current Tenant by ID.

SSH Key must be owned by current Tenant.

Org must have a Tenant entity. User must have FORGE_TENANT_ADMIN authorization role.

To add this SSH Key to various SSH Key Groups or remove it from an SSH Key Group, please use SSH Key Group update endpoint.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired
sshKeyIdstringRequired

Request

This endpoint expects an object.
namestringOptional

Response

OK
idstringRead-onlyformat: "uuid"
Unique identifier for the key
namestring
orgstring
tenantIdstringformat: "uuid"
fingerprintstring
SHA256 fingerprint of the public key
createddatetimeRead-only

Date/time when the SSH key was created

updateddatetimeRead-only

Date/time when the SSH key was last updated

Errors

400
Bad Request Error
403
Forbidden Error